<?php

require_once "O3Spaces/Config.php";
require_once "O3Spaces/HTTP/WP_HTTP_Request.php";

class WP_SOAP_Client extends SoapClient {

	function __construct($wsdl, $options) {
		parent::__construct($wsdl, $options);
	}

	function __doRequest($request, $location, $action, $version) {

		$req = &new WP_HTTP_Request($location);
		$req->setMethod(HTTP_REQUEST_METHOD_POST);

		$req->addHeader("Content-Type","text/xml; charset=utf8");
		$req->addHeader('SOAPAction', $action);

		$req->addRawPostData( $request );

		$req->sendRequest();

		return $req->getResponseBody();
	}

}

?>
